Subject: Re: linux-next: build warning after merge of the arm-soc tree

From: Florian Fainelli <[email-masked]>
Date: Thu, 23 Dec 2021 10:18:32 -0800

On 12/23/2021 12:50 AM, Arınç ÜNAL wrote:
> Hey Florian.
> 
> I'm not sure I understand what's going wrong here. I did everything 
> according to the documentation here:
> https://github.com/torvalds/linux/blob/master/Documentation/devicetree/bindings/net/dsa/realtek-smi.txt#L158 

The problem is that there is a 'reg' property for the 'ports' node when 
this node is just a "container" for additional sub-node. This is because 
the example you rightfully followed to the letter was wrong to begin 
with. Should be fixed with:

https://lore.kernel.org/netdev/[email-masked]/

And you would need to make a matching change to 
arch/arm/boot/dts/bcm47094-asus-rt-ac88u.dts.

Thanks!
-- 
Florian